# Generated by Django 2.2.19 on 2021-03-18 14:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("ferda", "0007_add_can_run_reports_permission"),
    ]

    operations = [
        migrations.CreateModel(
            name="Report",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.SlugField(max_length=1024, unique=True, verbose_name="Name")),
                ("label", models.CharField(blank=True, max_length=1024, verbose_name="Label")),
                ("description", models.TextField(blank=True, verbose_name="Long description")),
            ],
            options={
                "verbose_name": "Report",
                "verbose_name_plural": "Reports",
            },
        ),
        migrations.CreateModel(
            name="ReportParameter",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.SlugField(max_length=1024, verbose_name="Name")),
                ("type", models.CharField(max_length=1024, verbose_name="Type")),
                ("is_input", models.BooleanField(verbose_name="Is input")),
                ("label", models.CharField(blank=True, max_length=1024, verbose_name="Label")),
                (
                    "report",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="parameters", to="ferda.Report"
                    ),
                ),
            ],
            options={
                "verbose_name": "Report parameter",
                "verbose_name_plural": "Report parameters",
            },
        ),
        migrations.AddConstraint(
            model_name="reportparameter",
            constraint=models.UniqueConstraint(fields=("report", "name"), name="unique_report_parameter_name"),
        ),
    ]
